from enum import Enum


class HTTPMethod(Enum):
    GET = "GET"
    POST = "POST"
    PUT = "PUT"
    DELETE = "DELETE"
    HEAD = "HEAD"
    OPTIONS = "OPTIONS"
    PATCH = "PATCH"


class HTTPAccept(Enum):
    HTML = "text/html"
    JSON = "application/json"
    XML = "application/xml"
    TEXT = "text/plain"
    CSV = "text/csv"
    PDF = "application/pdf"
    PNG = "image/png"
    JPEG = "image/jpeg"
    GIF = "image/gif"
    BMP = "image/bmp"
    SVG = "image/svg+xml"
    TIFF = "image/tiff"
    ICO = "image/vnd.microsoft.icon"
    WEBP = "image/webp"
    AVIF = "image/avif"
    MP3 = "audio/mpeg"
    MP4 = "video/mp4"
    AVI = "video/x-msvideo"
    MPG = "video/mpeg"
    FLV = "video/x-flv"
    MOV = "video/quicktime"
    OGG = "video/ogg"
    WAV = "audio/wav"
    AAC = "audio/aac"
    M4A = "audio/mp4"
    FLAC = "audio/flac"
    OPUS = "audio/opus"
    WEBM = "video/webm"
    OGV = "video/ogg"
    TS = "video/mp2t"
    M4V = "video/x-m4v"
    MKV = "video/x-matroska"
    MPG4 = "video/mp4"
    XVID = "video/x-msvideo"
    DIVX = "video/divx"
    VOB = "video/quicktime"
    M2TS = "video/mpeg2"
    M2V = "video/mpeg2"
    M4S = "video/mp4"
    MTS = "video/mpeg2"
    M2T = "video/mpeg2"
